lpstat(1)

NAME
lpstat - print information about the status of the LP print service

SYNOPSIS
lpstat [ -d ] [ -r ] [ -R ] [ -s ] [ -t ] [ -a [list] ]
[ -c [list] ] [ -f [list] [ -l ] ] [ -o [list] ]
[ -p [list] [ -D ] [ -l ] ] [ -P ]
[ -S [list] [ -l ] ] [ -u [login-ID-list] ]
[ -v [list] ] [list]

DESCRIPTION
The lpstat command prints information about the current status of the LP print service. This is implemented as a front end to the LPRng lpq(1) program, and does not have the full functionality of the native lpstat program.

If no options are given, then lpstat prints the status of all the user's print requests made by lp on the default printer. (see lp(1) and lpr(1)). Any arguments that are not options are assumed to be request-IDs as returned by lp or printer names. The lpstat command prints the status of such requests. The options may appear in any order and may be repeated and intermixed with other arguments. Some of the keyletters below may be followed by an optional list that can be in one of two forms: a list of items separated from one another by a comma, or a list of items separated from one another by spaces enclosed in quotes. For example:

    example% lpstat -u "user1 user2 user3"

Specifying all after any keyletter that takes list as an argument causes all information relevant to the keyletter to be printed. For example, the command:

    example% lpstat -o all

prints the status of all output requests.

The omission of a list following such key letters causes all information relevant to the key letter to be printed. For example, the command:

    example% lpstat -o

prints the status of all output requests.

OPTIONS
The following options are supported:

-a [list]
    Reports whether print destinations are accepting requests. list is a list of printer names.

-c [list]
    Print name of all classes and their members. list is a list of class names. (Same effect as -o.)

-d  Print the system default destination for output requests.

-f [list] [-l]
    Print list of printers supporting the specified forms option is ignored.

-o [list]
    Print the status of output requests: list is a list of intermixed printer names, class names, and request-IDs. The keyletter -o may be omitted.

-p [list]
    Print the status of printers. list is a list of printer names. (Same effect as -o.)

-P  Print the paper types. Ignored.

-r  Print the status of the LP request scheduler.

-R  Print a number showing the position of each job in the print queue. Ignored.

-s  Print a status summary. Produces a short status listing.

-S [list] [-l]
    List or verify character sets of printers. (Ignored.)

-t  Print all status information.

-u [login-ID-list]
    Print the status of output requests for users. (Same effect as -o.)

-v [list]
    Print the path names of the printer output devices. (Ignored.)

ENVIRONMENT
The LPDEST, and PRINTER, select the default print queue. If LPDEST is not defined, then PRINTER will be used; if both are undefined then the default printer for the system will be used.

EXIT STATUS
The following exit values are returned:
0   Successful completion.
>0  An error occurred.

ENVIRONMENT
See environ(5) for descriptions of the following environment variables that affect the execution of lpstat:

LPDEST
    Determine the spool queue. If the LPDEST environment variable is not set, the PRINTER environment variable will be used. The -P dest option takes precedence over LPDEST. Results are undefined when -P is not specified and LPDEST contains a value that is not a valid device or destination name.

PRINTER
    Determine the output device or destination. If the LPDEST and PRINTER environment variables are not set, an unspecified output device is used. The -P dest option and the LPDEST environment variable takes precedence over PRINTER. Results are undefined when -P is not specified, LPDEST is unset, and PRINTER contains a value that is not a valid device or destination name.

EXIT STATUS
The following exit values are returned by cancel:

0   Successful completion.

>0  An error occurred.

SEE ALSO
lpd.conf(5), lpc(8), lpd(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.perms(5), pr(1).

DIAGNOSTICS
Most of the diagnostics are self explanatory.
If you are puzzled over the exact cause of failure,
set the debugging level on (-D5) and run again.
The debugging information will
help you to pinpoint the exact cause of failure.

HISTORY

LPRng is a enhanced printer spooler system with functionality similar to the Berkeley LPR software. In 1988 Patrick Powell released the PLP (Public Line Printer) software, which went through several evolutions. Justin Mason (jmason@iona.ie) generated PLP4.0 from several older releases of PLP. In 1992 Patrick Powell release LPRng, a completely redesigned and newly written version of the software.

The LPRng mailing list is plp@iona.ie; subscribe by sending mail to plp-request@iona.ie with the word subscribe in the body. The software is available from ftp://iona.ie/pub/LPRng.

LPRng is distributed under the GNU software license for non-commercial use, the Artistic License for limited commercial use. Commerical support and licensing is available through Patrick Powell <papowell@sdsu.edu>.